#ifndef _DISK_H_
#define _DISK_H_

/*
    This file is part of an implementation of the UCSD I.5 psuedo-machine.
    Copyright (C) 1994,1995,2006 Richard. W. Stearn

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   Email: richard@rns-stearn.demon.co.uk
*/

word unit_read_disk( word unit_num, word buffer_addr, word length, word block );
word unit_write_disk( word unit_num, word buffer_addr, word length, word block );
word unit_clear_disk( word unit_num );
word unit_busy_disk( word unit_num );
word unit_wait_disk( word unit_num );
word unit_stat_disk( word unit_num, word buffer_addr, word length, word dummy );
word unit_init_disk( word unit_num );
word unit_halt_disk( word unit_num );

#endif
